<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" indent="no"/>
<xsl:strip-space elements="*"/>


<xsl:template match="/resume">% resume-everything.tex
% 
% (c) 2006 Paul A. Jungwirth
% $Id: resume-everything.tex 8 2006-09-21 18:59:27Z pjungwir $
% 
\documentclass[10pt]{article}
\usepackage{tikz}
\usepackage{tabularx}
\definecolor{lightblue}{HTML}{D4D7FE}
\definecolor{gray}{HTML}{D4D7FE}
\definecolor{goldenrod}{HTML}{D4D7FE}
\definecolor{green}{HTML}{D4D7FE}
\definecolor{maroon}{HTML}{D4D7FE}
\definecolor{darkblue}{HTML}{D4D7FE}
\definecolor{white}{HTML}{FFFFFF}
\definecolor{black}{HTML}{000000}
\usepackage{fullpage}
\usepackage{longtable}
\pagestyle{empty}	% no page numbers
\addtolength{\voffset}{-0.2in}		% shrink the top margin
\addtolength{\hoffset}{-0.35in}		% shrink the left margin
\addtolength{\textheight}{1.1in}	% lengthen the page
\addtolength{\textwidth}{0.5in}		% widen the page
\setlength{\tabcolsep}{0in}			% don't indent tables
% \raggedbottom % don't add vertical whitespace
\raggedright % don't add horizontal whitespace

% \long\def\symbolfootnote[#1]#2{\begingroup\def\thefootnote{\fnsymbol{footnote}}\footnote[#1]{#2}\endgroup}
% \long\def\symbolfootnote#1{\begingroup\def\thefootnote{\fnsymbol{footnote}}\footnote{#1}\endgroup}
\def\thefootnote{\fnsymbol{footnote}}

\long\def\symbolfootnote#1{\footnote{#1}}

\newcommand{\resumename}[1]{{\Large\textbf{#1}\par}}
\newcommand{\resumecontact}[4]{
#1 \hspace{\stretch{1}} #4 \\
#2 \hspace{\stretch{1}} #3
% \begin{tabular*}{6.5in}{l@{\extracolsep{\fill}}r}
	% % #1 &amp; #4 \\
	% % #2 &amp; #3 \\
% \end{tabular*}
}
\newcommand{\startlist}{\vspace{-6.7pt}\begin{itemize}\setlength{\itemsep}{-3pt}}
\newcommand{\sechead}[1]{{\addtolength{\parskip}{2pt}\Large\sc #1}\vspace{4pt}}
\newcommand{\padding}{\par\vspace{6pt}}

\newenvironment{roundbox}[2]
{\begin{tikzpicture}
\node [fill=#1,rounded corners=10pt,inner sep=10pt]
\bgroup
\begin{tabular}{#2}}	% tikzpicture does better containing just a big table.
{\end{tabular}\egroup;\end{tikzpicture}}

\newenvironment{wideroundbox}[1]
{\par\begin{roundbox}{#1}{p{7in}}}
{\end{roundbox}}

\newenvironment{squishlist}
{\begin{list}{$\bullet$}
{\setlength{\itemsep}{0pt}
 \setlength{\parsep}{0pt}
 \setlength{\topsep}{0pt}
 \setlength{\partopsep}{14pt}
 \setlength{\leftmargin}{1.5em}
 \setlength{\labelwidth}{1em}
 \setlength{\labelsep}{0.6em}}}
{\end{list}}

\newenvironment{resumeskills}
	{\sechead{I Can}
	\begin{wideroundbox}{goldenrod}
	\vspace{-20pt}\begin{squishlist}}
	{\vspace{-10pt}\end{squishlist}\end{wideroundbox}}

\newenvironment{resumetechs}
	{\sechead{I Know}
	\begin{tikzpicture}
	\node [fill=goldenrod,rounded corners=10pt,inner sep=10pt]
	\bgroup
	\begin{tabularx}{7in}{l @{   } X}}
	{\end{tabularx}\egroup;\end{tikzpicture}}
\newenvironment{experiences}
	{\sechead{I Have Done}\begin{wideroundbox}{maroon}}
	{\end{wideroundbox}}
\newenvironment{jobdesc}
	{\startlist}
	{\vspace{-10pt}\end{itemize}}
\newenvironment{studies}
	{\sechead{I Have Studied}\begin{wideroundbox}{darkblue}}
	{\end{wideroundbox}}
\newenvironment{school}
	{\startlist}
	{\vspace{-10pt}\end{itemize}}
\newenvironment{alsos}
	{\sechead{I Also}
	 \startlist}
	{\end{itemize}}
\newcommand{\resumeskill}[1]{\item #1}
\newcommand{\resumetech}[2]{\textbf{#1} &amp; #2 \\}
% \newcommand{\experiencehead}[4]{\textbf{#1}\par\textit{#2}\par\textit{#3}\par\textit{#4}}
\newcommand{\experiencehead}[4]{\vspace{7pt}\textbf{#1}\par\textit{#2, #3\hspace{\stretch{1}}#4}}
% \newcommand{\experiencehead}[4]{\begin{tabular*}{6.5in}{l@{\extracolsep{\fill}}r}
  % \textbf{#1} &amp; \\
  % \textit{#2, #3} &amp; \textit{#4} \\
% \end{tabular*}}
\newcommand{\experience}[1]{\item #1}
\newcommand{\studied}[4]{\textbf{#1}\par\textit{#2, #3\hspace{\stretch{1}}#4}}
% \newcommand{\studied}[4]{\begin{tabular*}{6.5in}{l@{\extracolsep{\fill}}r}
  % \textbf{#1} &amp; \\
  % \textit{#2, #3} &amp; \textit{#4} \\
% \end{tabular*}}
\newcommand{\studieddetail}[1]{\item #1}
\newcommand{\ialso}[1]{\item #1}

% This should be an automatically-generated document from xml/xslt!

\begin{document}
\resumename{<xsl:apply-templates select="name" mode="unescape"/>}
\vspace{1pt}
\begin{wideroundbox}{gray}
\resumecontact{<xsl:apply-templates select="street" mode="unescape"/>}{<xsl:apply-templates select="city" mode="unescape"/>}{<xsl:apply-templates select="phone" mode="unescape"/>}{<xsl:apply-templates select="email" mode="unescape"/>}
\end{wideroundbox}
<xsl:apply-templates/>
\end{document}
</xsl:template>


<xsl:template match="skills">
\padding\padding
\begin{resumeskills}
<xsl:apply-templates/>\end{resumeskills}
</xsl:template>

<xsl:template match="skill[@latex='true']">\resumeskill{<xsl:apply-templates select="." mode="unescape"/>}
</xsl:template>


<xsl:template match="techs">
\padding\padding
\sechead{I Know}
\begin{tikzpicture}
\node [fill=goldenrod,rounded corners=10pt,inner sep=10pt]
\bgroup
\begin{tabularx}{7in}{l @{   } X}
<xsl:apply-templates select="tech-type"/>
\end{tabularx}\egroup;\end{tikzpicture}
<xsl:apply-templates select="footnote-message"/>
\pagebreak
</xsl:template>

<xsl:template match="footnote-message">\footnotetext{<xsl:apply-templates select="." mode="unescape"/>}</xsl:template>

<xsl:template match="tech-type[@latex='true']">\resumetech{<xsl:apply-templates select="tech-type-name" mode="unescape"/>}{<xsl:for-each select="tech">
		<xsl:if test="position() > 1">, </xsl:if><xsl:apply-templates select="." mode="unescape"/>
</xsl:for-each>}
</xsl:template>

<xsl:template match="jobs">
\begin{experiences}
<xsl:apply-templates/>
\end{experiences}
</xsl:template>

<xsl:template match="job[@latex='true']">
<xsl:choose>
	<xsl:when test="count(child::job-company) > 0">
\experiencehead{<xsl:apply-templates select="job-title" mode="unescape"/>}{<xsl:apply-templates select="job-company" mode="unescape"/>}{<xsl:apply-templates select="job-location" mode="unescape"/>}{<xsl:apply-templates select="job-period" mode="unescape"/>}
	</xsl:when>
	<xsl:otherwise>\textbf{<xsl:apply-templates select="job-title" mode="unescape"/>}</xsl:otherwise>
</xsl:choose>
\begin{jobdesc}
<xsl:apply-templates/>\end{jobdesc}
</xsl:template>

<xsl:template match="job-duty[@latex='true']">\experience{<xsl:apply-templates select="." mode="unescape"/>}
</xsl:template>


<xsl:template match="studies">
\padding\padding
\begin{studies}
<xsl:apply-templates/>
\end{studies}
</xsl:template>

<xsl:template match="study[@latex='true']">
<xsl:choose>
	<xsl:when test="count(preceding::study) > 0">\vspace{7pt}</xsl:when>
</xsl:choose>
<xsl:choose>
	<xsl:when test="count(child::school-name) > 0">
\studied{<xsl:apply-templates select="study-topic" mode="unescape"/>}{<xsl:apply-templates select="school-name" mode="unescape"/>}{<xsl:apply-templates select="school-location" mode="unescape"/>}{<xsl:apply-templates select="school-period" mode="unescape"/>}
	</xsl:when>
	<xsl:otherwise>\textbf{<xsl:apply-templates select="study-topic" mode="unescape"/>}</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="count(child::study-note) > 0">\begin{school}
<xsl:apply-templates/>
\end{school}</xsl:when>
	<xsl:otherwise>\par</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="study-note">\studieddetail{<xsl:apply-templates select="." mode="unescape"/>}
</xsl:template>


<xsl:template match="others">
\begin{alsos}
<xsl:apply-templates/>\end{alsos}
</xsl:template>

<xsl:template match="other[@latex='true']">\ialso{<xsl:apply-templates select="." mode="unescape"/>}
</xsl:template>

<!-- Use these templates to get special characters -->
<xsl:template match="*" mode="unescape"><xsl:apply-templates/></xsl:template>
<xsl:template match="ndash">--</xsl:template>
<xsl:template match="latex">\LaTeX</xsl:template>
<xsl:template match="bibtex">Bib\TeX</xsl:template>
<xsl:template match="dollar">\$</xsl:template>
<xsl:template match="amp">\&amp;</xsl:template>
<xsl:template match="minspace">\ </xsl:template>
<xsl:template match="rsquo">'</xsl:template>
<xsl:template match="hash">\#</xsl:template>
<xsl:template match="nohyphen">\hbox{<xsl:apply-templates/>}</xsl:template>
<xsl:template match="footnote"><xsl:choose>
	<xsl:when test="count(preceding::*[@fn = current()/@fn]) = 0">\footnote{<xsl:apply-templates select="//footnote-message[@fn = current()/@fn]" mode="unescape"/>}</xsl:when>
	<xsl:otherwise>\footnotemark[<xsl:value-of select="@fn"/>]</xsl:otherwise>
</xsl:choose></xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
